org.icefaces.ace.model.tree

## Class NodeStateMap

- java.lang.Object
- - org.icefaces.ace.model.tree.NodeStateMap

- All Implemented Interfaces:
    java.io.Serializable, java.util.Map<java.lang.Object,NodeState>

      public class NodeStateMap
      extends java.lang.Object
      implements java.util.Map<java.lang.Object,NodeState>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeStateMap()`
    `NodeStateMap(NodeStateCreationCallback callback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object o)`
    `boolean` | `containsValue(java.lang.Object o)`
    `java.util.Set<java.util.Map.Entry<java.lang.Object,NodeState>>` | `entrySet()`
    `NodeState` | `get(java.lang.Object o)`
    `java.util.List` | `getExpanded()`
    `NodeStateCreationCallback` | `getInitCallback()`
    `KeySegmentConverter` | `getKeyConverter()`
    `java.util.List` | `getSelected()`
    `boolean` | `isEmpty()`
    `java.util.Set<java.lang.Object>` | `keySet()`
    `void` | `populateEntireMap()`
    `NodeState` | `put(java.lang.Object o, NodeState nodeState)`
    `void` | `putAll(java.util.Map<? extends java.lang.Object,? extends NodeState> inputMap)`
    `NodeState` | `remove(java.lang.Object o)`
    `void` | `setAllExpanded(boolean val)`
    `void` | `setAllSelected(boolean val)`
    `void` | `setInitCallback(NodeStateCreationCallback initCallback)`
    `void` | `setKeyConverter(KeySegmentConverter keyConverter)`
    `int` | `size()`
    `java.util.Collection<NodeState>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### NodeStateMap

          public NodeStateMap()

    - #### NodeStateMap

          public NodeStateMap(NodeStateCreationCallback callback)

  - ### Method Detail

    - #### getKeyConverter

          public KeySegmentConverter getKeyConverter()

    - #### setKeyConverter

          public void setKeyConverter(KeySegmentConverter keyConverter)

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### containsKey

          public boolean containsKey(java.lang.Object o)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### containsValue

          public boolean containsValue(java.lang.Object o)

      Specified by:
        `containsValue` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### get

          public NodeState get(java.lang.Object o)

      Specified by:
        `get` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### put

          public NodeState put(java.lang.Object o,
                               NodeState nodeState)

      Specified by:
        `put` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### remove

          public NodeState remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### putAll

          public void putAll(java.util.Map<? extends java.lang.Object,? extends NodeState> inputMap)

      Specified by:
        `putAll` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### keySet

          public java.util.Set<java.lang.Object> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### values

          public java.util.Collection<NodeState> values()

      Specified by:
        `values` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.Object,NodeState>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.Object,NodeState>`

    - #### getSelected

          public java.util.List getSelected()

    - #### getExpanded

          public java.util.List getExpanded()

    - #### getInitCallback

          public NodeStateCreationCallback getInitCallback()

    - #### setAllSelected

          public void setAllSelected(boolean val)

    - #### setAllExpanded

          public void setAllExpanded(boolean val)

    - #### setInitCallback

          public void setInitCallback(NodeStateCreationCallback initCallback)

    - #### populateEntireMap

          public void populateEntireMap()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.